import { Post } from "@/types/post"
import { FC, PropsWithChildren } from "react";

type PostProps = {
  post: Post;
}

const Post:FC<PropsWithChildren<PostProps>> = ({
  post
}) => {

  return (
    <>
    <div className="flex w-full py-4 flex-col">

      <div className="flex m-2 items-center">
        <div className="flex h-12 w-12 max-w-xs items-center justify-center rounded-full bg-c-pink text-sm focus:outline-none focus:ring-2 focus:ring-white focus:ring-offset-2 focus:ring-offset-pink-400 mr-2">
          <img className="h-12 w-12 rounded-full" src={post.User.Avatar} alt="" />
        </div>
        <div className="flex-1 flex-col">
          <p className="">{post.User.Name}</p>
          <p className="text-sm text-gray-500">{`@${post.User.Username}`}</p>
        </div>
      </div>


      <div className="flex-1 rounded-3xl bg-c-pink font-white ml-16">
        <div className="m-2 text-sm px-2 font-bold text-c-green">
          This is my amazing question of the day?
        </div>
        <div className="flex-1 rounded-3xl p-4 bg-white text-lg shadow-lg">
          <p className="text-sm text-gray-600">{`${post.User.Name}'s answer`}</p>
          <div>
            This is my super duper answer. My name is Timmy C and I enjoy smooth jazz.
          </div>
        </div>
       
      </div>    
    </div>
            
    </>
  )
}

export default Post